Update support case notes or status
Updates the notes or status of a support case. Use this to track progress or provide additional context for case resolution.
HTTP method and endpoint
PUT /ipa/support/case/{caseNumber}
Token usage
Both a NetApp Console user token and service token. The service token needs to include one of the following scopes: 'occm-access', 'ipa-internal'.
Usage notes
Updates the support case notes or status.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
caseNumber |
string |
path |
True |
|
X-Service-Request-Id |
string |
header |
False |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
nssKeyId |
string |
False |
|
accountId |
string |
False |
|
caseNote |
string |
False |
|
changeCaseStatus |
False |
Example request
{
"nssKeyId": "string",
"accountId": "string",
"caseNote": "string",
"changeCaseStatus": "close"
}
Response
Status: 200, Success response
Response
Status: 4xx, Error response
| Name | Type | Required | Description |
|---|---|---|---|
error |
string |
False |
Error code/category |
message |
string |
False |
Error description message |
Example response
{
"error": "string",
"message": "string"
}